precision highp float;

//Uniforms
uniform float bgCubeTextureMix;
uniform vec4 clearColor;
uniform samplerCube cubeTexture;

// Inputs
varying vec3 v_position;

void main() 
{
	/// Simply sample and return our cubemap!
	gl_FragColor = mix(textureCube(cubeTexture, v_position, 0.0), clearColor, bgCubeTextureMix);
}
